(local {: contains?} (require :lib.table))
(local {:split split-full} (require :lib.string))
(local split (partial split-full "[^%.]*"))

(fn filter [s]
  (let [filters (require :lib.filters)
       [str & funs] (split s)]
    (var res str)
    (each [_ f (ipairs funs)]
       (each [_ filter (pairs filters)]
          (when (contains? filter.call f)
            (set res (filter.fun res)))))
    res))

{: filter
 }
