# vim-tbls

syntax, filtetype detection, folding, and navigation for tbls files

## installing

1. find out where your `syntax` and `ftdetect` files are. e.g. `$HOME/.config/nvim/` or `$HOME/.vim/`.

2. copy `syntax/tbls.vim` and `ftdetect/tbls.vim` to the appropriate folders

after installing, any `.tbl` file should be detected.

to use syntax for, e.g. a `.txt` file, in vim do `:set filetype=tbls`

## using

the syntax defines a foldable table block as the region between a `:: header` and a blank line.
all folding commands should work.
(e.g. `zj` and `zk` to jump to next fold. see `:help fold`.)
the plugin file sets the foldmethod to syntax,
so your tables should start out folded if folding in enabled.

the plugin file also maps `]]` and `[[`
(next section and previous section, respectively)
to jump between table headers.
